Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
ssl-certificates
[Web Hosting] List SSL certificates
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/ssl-certificates \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "domain": "<string>",
      "principal_domain": "<string>",
      "days_until_expiration": 123,
      "is_expiring_soon": true,
      "created": "2023-11-07T05:31:56Z",
      "modified": "2023-11-07T05:31:56Z",
      "status": "valid",
      "certificate_expiration": "2023-11-07T05:31:56Z",
      "certificate_issued": "2023-11-07T05:31:56Z",
      "ssl_check_passed": true,
      "ssl_check_date": "2023-11-07T05:31:56Z",
      "http_check_passed": true,
      "http_check_date": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

Query Parameters

expiring_soon
boolean

Filter certificates expiring within 30 days

status
string

Filter by certificate status (valid, expired, pending, failed)

Response

List of SSL certificates retrieved successfully

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"